---
apiVersion: v1
items:
- apiVersion: v1
  kind: Endpoints
  metadata:
    annotations:
      endpoints.kubernetes.io/last-change-trigger-time: "2022-03-08T10:48:02Z"
    creationTimestamp: "2022-03-08T10:47:36Z"
    labels:
      alertmanager: main
    managedFields:
    - apiVersion: v1
      fieldsType: FieldsV1
      fieldsV1:
        f:metadata:
          f:annotations:
            .: {}
            f:endpoints.kubernetes.io/last-change-trigger-time: {}
          f:labels:
            .: {}
            f:alertmanager: {}
        f:subsets: {}
      manager: kube-controller-manager
      operation: Update
      time: "2022-03-08T10:48:01Z"
    name: alertmanager-main
    namespace: openshift-monitoring
    resourceVersion: "21274"
    selfLink: /api/v1/namespaces/openshift-monitoring/endpoints/alertmanager-main
    uid: 688d8f46-9ee3-40a4-8643-d0b203112a1c
  subsets:
  - addresses:
    - ip: 10.131.0.13
      nodeName: worker-2.case03116926.lab.upshift.rdu2.redhat.com
      targetRef:
        kind: Pod
        name: alertmanager-main-2
        namespace: openshift-monitoring
        resourceVersion: "21237"
        uid: d21ec15f-8d00-4f71-9a95-c43db177cfe5
    - ip: 10.131.0.14
      nodeName: worker-2.case03116926.lab.upshift.rdu2.redhat.com
      targetRef:
        kind: Pod
        name: alertmanager-main-0
        namespace: openshift-monitoring
        resourceVersion: "21260"
        uid: b572fd36-f263-4d9c-8231-f106fe588f18
    - ip: 10.131.0.17
      nodeName: worker-2.case03116926.lab.upshift.rdu2.redhat.com
      targetRef:
        kind: Pod
        name: alertmanager-main-1
        namespace: openshift-monitoring
        resourceVersion: "21268"
        uid: 347a969a-ce21-4605-b85f-78fbd2b58c3d
    ports:
    - name: web
      port: 9095
      protocol: TCP
    - name: tenancy
      port: 9092
      protocol: TCP
- apiVersion: v1
  kind: Endpoints
  metadata:
    annotations:
      endpoints.kubernetes.io/last-change-trigger-time: "2022-03-08T10:48:02Z"
    creationTimestamp: "2022-03-08T10:47:37Z"
    labels:
      operated-alertmanager: "true"
      service.kubernetes.io/headless: ""
    managedFields:
    - apiVersion: v1
      fieldsType: FieldsV1
      fieldsV1:
        f:metadata:
          f:annotations:
            .: {}
            f:endpoints.kubernetes.io/last-change-trigger-time: {}
          f:labels:
            .: {}
            f:operated-alertmanager: {}
            f:service.kubernetes.io/headless: {}
        f:subsets: {}
      manager: kube-controller-manager
      operation: Update
      time: "2022-03-08T10:48:01Z"
    name: alertmanager-operated
    namespace: openshift-monitoring
    resourceVersion: "21273"
    selfLink: /api/v1/namespaces/openshift-monitoring/endpoints/alertmanager-operated
    uid: 91224600-86be-4f00-864b-1eeceb3de9b8
  subsets:
  - addresses:
    - hostname: alertmanager-main-2
      ip: 10.131.0.13
      nodeName: worker-2.case03116926.lab.upshift.rdu2.redhat.com
      targetRef:
        kind: Pod
        name: alertmanager-main-2
        namespace: openshift-monitoring
        resourceVersion: "21237"
        uid: d21ec15f-8d00-4f71-9a95-c43db177cfe5
    - hostname: alertmanager-main-0
      ip: 10.131.0.14
      nodeName: worker-2.case03116926.lab.upshift.rdu2.redhat.com
      targetRef:
        kind: Pod
        name: alertmanager-main-0
        namespace: openshift-monitoring
        resourceVersion: "21260"
        uid: b572fd36-f263-4d9c-8231-f106fe588f18
    - hostname: alertmanager-main-1
      ip: 10.131.0.17
      nodeName: worker-2.case03116926.lab.upshift.rdu2.redhat.com
      targetRef:
        kind: Pod
        name: alertmanager-main-1
        namespace: openshift-monitoring
        resourceVersion: "21268"
        uid: 347a969a-ce21-4605-b85f-78fbd2b58c3d
    ports:
    - name: web
      port: 9095
      protocol: TCP
    - name: udp-mesh
      port: 9094
      protocol: UDP
    - name: tcp-mesh
      port: 9094
      protocol: TCP
- apiVersion: v1
  kind: Endpoints
  metadata:
    annotations:
      endpoints.kubernetes.io/last-change-trigger-time: "2022-03-08T10:39:32Z"
    creationTimestamp: "2022-03-08T10:38:48Z"
    labels:
      app: cluster-monitoring-operator
      service.kubernetes.io/headless: ""
    managedFields:
    - apiVersion: v1
      fieldsType: FieldsV1
      fieldsV1:
        f:metadata:
          f:annotations:
            .: {}
            f:endpoints.kubernetes.io/last-change-trigger-time: {}
          f:labels:
            .: {}
            f:app: {}
            f:service.kubernetes.io/headless: {}
        f:subsets: {}
      manager: kube-controller-manager
      operation: Update
      time: "2022-03-08T10:39:32Z"
    name: cluster-monitoring-operator
    namespace: openshift-monitoring
    resourceVersion: "8784"
    selfLink: /api/v1/namespaces/openshift-monitoring/endpoints/cluster-monitoring-operator
    uid: 4eeec83f-b227-4fc2-8c97-d860b448a8a2
  subsets:
  - addresses:
    - ip: 10.128.0.7
      nodeName: master-1.case03116926.lab.upshift.rdu2.redhat.com
      targetRef:
        kind: Pod
        name: cluster-monitoring-operator-565dd756d4-2st68
        namespace: openshift-monitoring
        resourceVersion: "8781"
        uid: db8d6330-6d3a-4af2-9570-9c4a849a8d61
    ports:
    - name: https
      port: 8443
      protocol: TCP
- apiVersion: v1
  kind: Endpoints
  metadata:
    annotations:
      endpoints.kubernetes.io/last-change-trigger-time: "2022-03-08T10:48:00Z"
    creationTimestamp: "2022-03-08T10:47:36Z"
    labels:
      app: grafana
    managedFields:
    - apiVersion: v1
      fieldsType: FieldsV1
      fieldsV1:
        f:metadata:
          f:annotations:
            .: {}
            f:endpoints.kubernetes.io/last-change-trigger-time: {}
          f:labels:
            .: {}
            f:app: {}
        f:subsets: {}
      manager: kube-controller-manager
      operation: Update
      time: "2022-03-08T10:47:51Z"
    name: grafana
    namespace: openshift-monitoring
    resourceVersion: "21190"
    selfLink: /api/v1/namespaces/openshift-monitoring/endpoints/grafana
    uid: 43607897-241a-4eda-a49a-c21164ac6799
  subsets:
  - addresses:
    - ip: 10.128.2.5
      nodeName: worker-0.case03116926.lab.upshift.rdu2.redhat.com
      targetRef:
        kind: Pod
        name: grafana-c4597b685-hvrqk
        namespace: openshift-monitoring
        resourceVersion: "21187"
        uid: 17794ee2-f572-448d-bdda-aed88769865f
    ports:
    - name: https
      port: 3000
      protocol: TCP
- apiVersion: v1
  kind: Endpoints
  metadata:
    annotations:
      endpoints.kubernetes.io/last-change-trigger-time: "2022-03-08T10:47:58Z"
    creationTimestamp: "2022-03-08T10:38:50Z"
    labels:
      app.kubernetes.io/name: kube-state-metrics
      app.kubernetes.io/version: v1.9.5
      service.kubernetes.io/headless: ""
    managedFields:
    - apiVersion: v1
      fieldsType: FieldsV1
      fieldsV1:
        f:metadata:
          f:annotations:
            .: {}
            f:endpoints.kubernetes.io/last-change-trigger-time: {}
          f:labels:
            .: {}
            f:app.kubernetes.io/name: {}
            f:app.kubernetes.io/version: {}
            f:service.kubernetes.io/headless: {}
        f:subsets: {}
      manager: kube-controller-manager
      operation: Update
      time: "2022-03-08T10:47:58Z"
    name: kube-state-metrics
    namespace: openshift-monitoring
    resourceVersion: "21114"
    selfLink: /api/v1/namespaces/openshift-monitoring/endpoints/kube-state-metrics
    uid: 7650166f-8f6e-45f0-bfd5-6fca4e31db80
  subsets:
  - addresses:
    - ip: 10.131.0.10
      nodeName: worker-2.case03116926.lab.upshift.rdu2.redhat.com
      targetRef:
        kind: Pod
        name: kube-state-metrics-6c8b757584-2b2dg
        namespace: openshift-monitoring
        resourceVersion: "21108"
        uid: 7f483a8b-2d47-496e-ad65-9f78e918a9ca
    ports:
    - name: https-main
      port: 8443
      protocol: TCP
    - name: https-self
      port: 9443
      protocol: TCP
- apiVersion: v1
  kind: Endpoints
  metadata:
    annotations:
      endpoints.kubernetes.io/last-change-trigger-time: "2022-03-08T10:47:36Z"
    creationTimestamp: "2022-03-08T10:38:51Z"
    labels:
      app.kubernetes.io/name: node-exporter
      app.kubernetes.io/version: v1.0.1
      service.kubernetes.io/headless: ""
    managedFields:
    - apiVersion: v1
      fieldsType: FieldsV1
      fieldsV1:
        f:metadata:
          f:annotations:
            .: {}
            f:endpoints.kubernetes.io/last-change-trigger-time: {}
          f:labels:
            .: {}
            f:app.kubernetes.io/name: {}
            f:app.kubernetes.io/version: {}
            f:service.kubernetes.io/headless: {}
        f:subsets: {}
      manager: kube-controller-manager
      operation: Update
      time: "2022-03-08T10:38:52Z"
    name: node-exporter
    namespace: openshift-monitoring
    resourceVersion: "20099"
    selfLink: /api/v1/namespaces/openshift-monitoring/endpoints/node-exporter
    uid: a4ea2b0a-c2d2-4ec3-a21b-542c07c217ab
  subsets:
  - addresses:
    - ip: 10.0.89.30
      nodeName: worker-0.case03116926.lab.upshift.rdu2.redhat.com
      targetRef:
        kind: Pod
        name: node-exporter-tg54f
        namespace: openshift-monitoring
        resourceVersion: "19610"
        uid: 652e7f87-8d33-4db6-b10a-73c9469dd684
    - ip: 10.0.90.58
      nodeName: worker-1.case03116926.lab.upshift.rdu2.redhat.com
      targetRef:
        kind: Pod
        name: node-exporter-bvmqv
        namespace: openshift-monitoring
        resourceVersion: "20096"
        uid: 939a0c1e-d209-4358-816b-398fd2777a51
    - ip: 10.0.94.119
      nodeName: master-0.case03116926.lab.upshift.rdu2.redhat.com
      targetRef:
        kind: Pod
        name: node-exporter-kcxrx
        namespace: openshift-monitoring
        resourceVersion: "8679"
        uid: 5b107378-b5d7-47df-9fb1-6f1d391217b4
    - ip: 10.0.94.219
      nodeName: master-2.case03116926.lab.upshift.rdu2.redhat.com
      targetRef:
        kind: Pod
        name: node-exporter-vrvq5
        namespace: openshift-monitoring
        resourceVersion: "8661"
        uid: 492fd0d9-fe66-4636-be8f-dcdf8bceaff2
    - ip: 10.0.94.235
      nodeName: worker-2.case03116926.lab.upshift.rdu2.redhat.com
      targetRef:
        kind: Pod
        name: node-exporter-x72zx
        namespace: openshift-monitoring
        resourceVersion: "19439"
        uid: f6334395-3ec8-4cad-92bd-a85e18466344
    - ip: 10.0.95.76
      nodeName: master-1.case03116926.lab.upshift.rdu2.redhat.com
      targetRef:
        kind: Pod
        name: node-exporter-l5q6v
        namespace: openshift-monitoring
        resourceVersion: "8597"
        uid: 800cd127-2cf4-4ee2-aae5-8a509c2149b3
    ports:
    - name: https
      port: 9100
      protocol: TCP
- apiVersion: v1
  kind: Endpoints
  metadata:
    annotations:
      endpoints.kubernetes.io/last-change-trigger-time: "2022-03-08T10:47:56Z"
    creationTimestamp: "2022-03-08T10:38:50Z"
    labels:
      k8s-app: openshift-state-metrics
      service.kubernetes.io/headless: ""
    managedFields:
    - apiVersion: v1
      fieldsType: FieldsV1
      fieldsV1:
        f:metadata:
          f:annotations:
            .: {}
            f:endpoints.kubernetes.io/last-change-trigger-time: {}
          f:labels:
            .: {}
            f:k8s-app: {}
            f:service.kubernetes.io/headless: {}
        f:subsets: {}
      manager: kube-controller-manager
      operation: Update
      time: "2022-03-08T10:47:56Z"
    name: openshift-state-metrics
    namespace: openshift-monitoring
    resourceVersion: "21016"
    selfLink: /api/v1/namespaces/openshift-monitoring/endpoints/openshift-state-metrics
    uid: 5e976186-635e-4473-9730-9e7ba6f0a8d6
  subsets:
  - addresses:
    - ip: 10.131.0.4
      nodeName: worker-2.case03116926.lab.upshift.rdu2.redhat.com
      targetRef:
        kind: Pod
        name: openshift-state-metrics-6d99649c49-4b6cb
        namespace: openshift-monitoring
        resourceVersion: "21014"
        uid: 809c270b-343a-4bd0-a6d2-dab04f5e8976
    ports:
    - name: https-main
      port: 8443
      protocol: TCP
    - name: https-self
      port: 9443
      protocol: TCP
- apiVersion: v1
  kind: Endpoints
  metadata:
    annotations:
      endpoints.kubernetes.io/last-change-trigger-time: "2022-03-08T10:47:55Z"
    creationTimestamp: "2022-03-08T10:38:53Z"
    labels:
      name: prometheus-adapter
    managedFields:
    - apiVersion: v1
      fieldsType: FieldsV1
      fieldsV1:
        f:metadata:
          f:annotations:
            .: {}
            f:endpoints.kubernetes.io/last-change-trigger-time: {}
          f:labels:
            .: {}
            f:name: {}
        f:subsets: {}
      manager: kube-controller-manager
      operation: Update
      time: "2022-03-08T10:47:55Z"
    name: prometheus-adapter
    namespace: openshift-monitoring
    resourceVersion: "20982"
    selfLink: /api/v1/namespaces/openshift-monitoring/endpoints/prometheus-adapter
    uid: 88f5ac81-e3fd-4668-b24e-6ce7794a8806
  subsets:
  - addresses:
    - ip: 10.131.0.15
      nodeName: worker-2.case03116926.lab.upshift.rdu2.redhat.com
      targetRef:
        kind: Pod
        name: prometheus-adapter-5fdd4bd886-nnfsr
        namespace: openshift-monitoring
        resourceVersion: "20978"
        uid: da44c376-e0ce-49c7-8783-f39741c870a0
    - ip: 10.131.0.9
      nodeName: worker-2.case03116926.lab.upshift.rdu2.redhat.com
      targetRef:
        kind: Pod
        name: prometheus-adapter-5fdd4bd886-bzs9k
        namespace: openshift-monitoring
        resourceVersion: "20967"
        uid: 0e2abbc8-c005-47e1-b652-ea7a99f1d65e
    ports:
    - name: https
      port: 6443
      protocol: TCP
- apiVersion: v1
  kind: Endpoints
  metadata:
    annotations:
      endpoints.kubernetes.io/last-change-trigger-time: "2022-03-08T11:02:08Z"
    creationTimestamp: "2022-03-08T10:47:40Z"
    labels:
      prometheus: k8s
    managedFields:
    - apiVersion: v1
      fieldsType: FieldsV1
      fieldsV1:
        f:metadata:
          f:annotations:
            .: {}
            f:endpoints.kubernetes.io/last-change-trigger-time: {}
          f:labels:
            .: {}
            f:prometheus: {}
        f:subsets: {}
      manager: kube-controller-manager
      operation: Update
      time: "2022-03-08T11:02:03Z"
    name: prometheus-k8s
    namespace: openshift-monitoring
    resourceVersion: "27333"
    selfLink: /api/v1/namespaces/openshift-monitoring/endpoints/prometheus-k8s
    uid: c7727a67-3ff3-4853-b9aa-0e40f6ac6cf4
  subsets:
  - addresses:
    - ip: 10.128.2.7
      nodeName: worker-0.case03116926.lab.upshift.rdu2.redhat.com
      targetRef:
        kind: Pod
        name: prometheus-k8s-0
        namespace: openshift-monitoring
        resourceVersion: "27329"
        uid: 624ac76a-6211-4c0f-a53e-716e1292225b
    - ip: 10.129.2.15
      nodeName: worker-1.case03116926.lab.upshift.rdu2.redhat.com
      targetRef:
        kind: Pod
        name: prometheus-k8s-1
        namespace: openshift-monitoring
        resourceVersion: "27070"
        uid: 6a6090cf-0e82-4f20-b1a9-b9e5c1ae1baa
    ports:
    - name: tenancy
      port: 9092
      protocol: TCP
    - name: web
      port: 9091
      protocol: TCP
- apiVersion: v1
  kind: Endpoints
  metadata:
    annotations:
      endpoints.kubernetes.io/last-change-trigger-time: "2022-03-08T11:02:08Z"
    creationTimestamp: "2022-03-08T10:47:47Z"
    labels:
      operated-prometheus: "true"
      service.kubernetes.io/headless: ""
    managedFields:
    - apiVersion: v1
      fieldsType: FieldsV1
      fieldsV1:
        f:metadata:
          f:annotations:
            .: {}
            f:endpoints.kubernetes.io/last-change-trigger-time: {}
          f:labels:
            .: {}
            f:operated-prometheus: {}
            f:service.kubernetes.io/headless: {}
        f:subsets: {}
      manager: kube-controller-manager
      operation: Update
      time: "2022-03-08T11:02:03Z"
    name: prometheus-operated
    namespace: openshift-monitoring
    resourceVersion: "27332"
    selfLink: /api/v1/namespaces/openshift-monitoring/endpoints/prometheus-operated
    uid: 4eb40d23-348c-47c7-aa0f-04db7c433b60
  subsets:
  - addresses:
    - hostname: prometheus-k8s-0
      ip: 10.128.2.7
      nodeName: worker-0.case03116926.lab.upshift.rdu2.redhat.com
      targetRef:
        kind: Pod
        name: prometheus-k8s-0
        namespace: openshift-monitoring
        resourceVersion: "27329"
        uid: 624ac76a-6211-4c0f-a53e-716e1292225b
    - hostname: prometheus-k8s-1
      ip: 10.129.2.15
      nodeName: worker-1.case03116926.lab.upshift.rdu2.redhat.com
      targetRef:
        kind: Pod
        name: prometheus-k8s-1
        namespace: openshift-monitoring
        resourceVersion: "27070"
        uid: 6a6090cf-0e82-4f20-b1a9-b9e5c1ae1baa
    ports:
    - name: web
      port: 9091
      protocol: TCP
    - name: grpc
      port: 10901
      protocol: TCP
- apiVersion: v1
  kind: Endpoints
  metadata:
    creationTimestamp: "2022-03-08T10:38:50Z"
    labels:
      app.kubernetes.io/component: controller
      app.kubernetes.io/name: prometheus-operator
      app.kubernetes.io/version: v0.42.1
      service.kubernetes.io/headless: ""
    managedFields:
    - apiVersion: v1
      fieldsType: FieldsV1
      fieldsV1:
        f:metadata:
          f:labels:
            .: {}
            f:app.kubernetes.io/component: {}
            f:app.kubernetes.io/name: {}
            f:app.kubernetes.io/version: {}
            f:service.kubernetes.io/headless: {}
        f:subsets: {}
      manager: kube-controller-manager
      operation: Update
      time: "2022-03-08T10:44:17Z"
    name: prometheus-operator
    namespace: openshift-monitoring
    resourceVersion: "16655"
    selfLink: /api/v1/namespaces/openshift-monitoring/endpoints/prometheus-operator
    uid: 3b6899b9-7d24-4369-a1c0-d42c79327022
  subsets:
  - addresses:
    - ip: 10.130.0.28
      nodeName: master-0.case03116926.lab.upshift.rdu2.redhat.com
      targetRef:
        kind: Pod
        name: prometheus-operator-79ffc97ccd-5h2pl
        namespace: openshift-monitoring
        resourceVersion: "16622"
        uid: d3626efe-fb57-4a96-96fb-c06c8695699d
    ports:
    - name: web
      port: 8080
      protocol: TCP
    - name: https
      port: 8443
      protocol: TCP
- apiVersion: v1
  kind: Endpoints
  metadata:
    annotations:
      endpoints.kubernetes.io/last-change-trigger-time: "2022-03-08T10:47:59Z"
    creationTimestamp: "2022-03-08T10:38:51Z"
    labels:
      k8s-app: telemeter-client
      service.kubernetes.io/headless: ""
    managedFields:
    - apiVersion: v1
      fieldsType: FieldsV1
      fieldsV1:
        f:metadata:
          f:annotations:
            .: {}
            f:endpoints.kubernetes.io/last-change-trigger-time: {}
          f:labels:
            .: {}
            f:k8s-app: {}
            f:service.kubernetes.io/headless: {}
        f:subsets: {}
      manager: kube-controller-manager
      operation: Update
      time: "2022-03-08T10:47:59Z"
    name: telemeter-client
    namespace: openshift-monitoring
    resourceVersion: "21161"
    selfLink: /api/v1/namespaces/openshift-monitoring/endpoints/telemeter-client
    uid: 184d6976-e2f1-410b-a49e-58c4823578a5
  subsets:
  - addresses:
    - ip: 10.131.0.11
      nodeName: worker-2.case03116926.lab.upshift.rdu2.redhat.com
      targetRef:
        kind: Pod
        name: telemeter-client-57c59fc45f-gsqrj
        namespace: openshift-monitoring
        resourceVersion: "21159"
        uid: 844b9f4f-5083-4b83-9442-086e43dbdc36
    ports:
    - name: https
      port: 8443
      protocol: TCP
- apiVersion: v1
  kind: Endpoints
  metadata:
    annotations:
      endpoints.kubernetes.io/last-change-trigger-time: "2022-03-08T10:48:10Z"
    creationTimestamp: "2022-03-08T10:38:48Z"
    labels:
      app.kubernetes.io/component: query-layer
      app.kubernetes.io/instance: thanos-querier
      app.kubernetes.io/name: thanos-query
      app.kubernetes.io/version: 0.12.0
    managedFields:
    - apiVersion: v1
      fieldsType: FieldsV1
      fieldsV1:
        f:metadata:
          f:annotations:
            .: {}
            f:endpoints.kubernetes.io/last-change-trigger-time: {}
          f:labels:
            .: {}
            f:app.kubernetes.io/component: {}
            f:app.kubernetes.io/instance: {}
            f:app.kubernetes.io/name: {}
            f:app.kubernetes.io/version: {}
        f:subsets: {}
      manager: kube-controller-manager
      operation: Update
      time: "2022-03-08T10:48:10Z"
    name: thanos-querier
    namespace: openshift-monitoring
    resourceVersion: "21477"
    selfLink: /api/v1/namespaces/openshift-monitoring/endpoints/thanos-querier
    uid: 4653f148-40d4-4d2e-9073-a2c1b56797df
  subsets:
  - addresses:
    - ip: 10.128.2.4
      nodeName: worker-0.case03116926.lab.upshift.rdu2.redhat.com
      targetRef:
        kind: Pod
        name: thanos-querier-5c8f998999-bwnht
        namespace: openshift-monitoring
        resourceVersion: "21052"
        uid: 14131300-e989-44d3-af0d-13fb77224c05
    - ip: 10.131.0.16
      nodeName: worker-2.case03116926.lab.upshift.rdu2.redhat.com
      targetRef:
        kind: Pod
        name: thanos-querier-5c8f998999-vrvtc
        namespace: openshift-monitoring
        resourceVersion: "21476"
        uid: 4e901b41-1063-40bb-9bac-6a4ddac1cff0
    ports:
    - name: tenancy-rules
      port: 9093
      protocol: TCP
    - name: tenancy
      port: 9092
      protocol: TCP
    - name: web
      port: 9091
      protocol: TCP
kind: EndpointsList
metadata:
  resourceVersion: "83017"
  selfLink: /api/v1/namespaces/openshift-monitoring/endpoints
